## hadori 1.0

=== Makefile ===
# Copyright (C) 2011 Timo Weingärtner <timo@tiwe.de>
#
# This file is part of hadori.
#
# hadori is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# hadori is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with hadori.  If not, see <http://www.gnu.org/licenses/>.

LDLIBS=-lboost_program_options -lstdc++
CXXFLAGS?=-O2 -Wall
CXXFLAGS+=-std=c++11
CPPFLAGS+=-D_FILE_OFFSET_BITS=64

all: hadori.1

hadori.1: hadori
	help2man -n $< -o $@ -N ./$<

hadori: hadori.o
hadori.o: hadori.C version.h

version.h:
	test ! -d .git || git describe | sed 's/^\(.*\)$$/#define HADORI_VERSION "hadori \1"/' > $@

clean:
	rm -f hadori hadori.o hadori.1
	test ! -d .git || git checkout -f -- version.h

.PHONY: version.h clean

=== debian/changelog ===
hadori (1.0-1) unstable; urgency=medium

  * Add Homepage: and Vcs-* to debian/control
  * Add debian/watch
  * Add Vcs branch spec to comply with Poicy 3.9.4
  * New upstream release 1.0.
  * move references away from github
  * bump dh compat, policy and copyright years
  * enable more buildflags
  * Upload to debian. Closes: #662080.

 -- Timo Weingärtner <timo@tiwe.de>  Sun, 30 Apr 2017 14:15:34 +0200

hadori (0.2-2) unstable; urgency=low

  * Fix typo in gbp.conf
  * Build-Depend on debhelper 9 now that it's in testing

 -- Timo Weingärtner <timo@tiwe.de>  Sun, 04 Mar 2012 00:34:24 +0100

hadori (0.2-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.3, no changes needed.
  * Switch to Copyright format 1.0 (DEP-5).

 -- Timo Weingärtner <timo@tiwe.de>  Sun, 26 Feb 2012 20:07:40 +0100

hadori (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Timo Weingärtner <timo@tiwe.de>  Sun, 06 Nov 2011 00:12:01 +0100

=== debian/control ===
Source: hadori
Section: utils
Priority: extra
Maintainer: Timo Weingärtner <timo@tiwe.de>
Build-Depends: debhelper (>= 10), help2man, libboost-program-options-dev
Standards-Version: 3.9.8
Homepage: https://git.tiwe.de/hadori.git
Vcs-Git: https://git.tiwe.de/hadori.git -b debian
Vcs-Browser: https://git.tiwe.de/hadori.git/log/?h=debian

Package: hadori
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Hardlinks identical files
 This might look like yet another hardlinking tool, but it is the only one
 which only memorizes one filename per inode. That results in less merory
 consumption and faster execution compared to its alternatives. Therefore
 (and because all the other names are already taken) it's called
 "HArdlinking DOne RIght".
 .
 Advantages over other hardlinking tools:
  * predictability: arguments are scanned in order, each first version is kept
  * much lower CPU and memory consumption

=== debian/watch ===
version=3
https://git.tiwe.de/hadori.git/ snapshot/hadori-([^/]+).tar.gz

## hadori 1.1

=== Makefile ===
--- 
+++ 
@@ -22,8 +22,8 @@
 
 all: hadori.1
 
-hadori.1: hadori
-	help2man -n $< -o $@ -N ./$<
+%.1: %.help2man %
+	help2man -i $< -o $@ -N -L C.UTF-8 $(*D)/$(*F)
 
 hadori: hadori.o
 hadori.o: hadori.C version.h

=== debian/changelog ===
hadori (1.1-1build3) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:08:19 +0200

hadori (1.1-1build2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 16:57:54 +0200

hadori (1.1-1build1) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 15:50:27 +0100

hadori (1.1-1) unstable; urgency=medium

  * fix typo in Description.
    Thanks to Paul Wise (Closes: #861728)
  * New upstream release 1.1.
  * bump dh compat, policy and copyright years
  * mark as Multi-Arch: foreign

 -- Timo Weingärtner <timo@tiwe.de>  Thu, 14 Jan 2021 00:45:15 +0100

=== debian/control ===
Source: hadori
Section: utils
Priority: optional
Maintainer: Timo Weingärtner <timo@tiwe.de>
Build-Depends: debhelper-compat (= 13), help2man, libboost-program-options-dev
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://git.tiwe.de/hadori.git
Vcs-Git: https://git.tiwe.de/hadori.git -b debian
Vcs-Browser: https://git.tiwe.de/hadori.git/log/?h=debian

Package: hadori
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Hardlinks identical files
 This might look like yet another hardlinking tool, but it is the only one
 which only memorizes one filename per inode. That results in less memory
 consumption and faster execution compared to its alternatives. Therefore
 (and because all the other names are already taken) it's called
 "HArdlinking DOne RIght".
 .
 Advantages over other hardlinking tools:
  * predictability: arguments are scanned in order, each first version is kept
  * much lower CPU and memory consumption
